/*
 * Copyright 2009-2015 Dovetailed Technologies, LLC.
 *
 * Licensed under the accompanying Co:Z Target System Toolkit Source License Agreement (the "License");
 * you may not use this file except in compliance with the License.
 *
 */

#include "DtlLog.h"

#include <arpa/inet.h>
#include <stdlib.h>
#include <string.h>
 
#include "mfocus.h"


/**
 * A function to initialize a MF_HEADER for Variable/Sequential
 * records. 
 */
void init_mf_header(MF_HEADER* pMfHeader, uint32_t minRecLen, uint32_t maxRecLen) {
	
	memset(pMfHeader, 0, sizeof(MF_HEADER));
	if (maxRecLen <= MAX_MF_SHORT_REC_SIZE) {
		pMfHeader->len = htonl(0x307e0000);	
	} else {
		pMfHeader->len = htonl(0x3000007c);
	}
	pMfHeader->reserved1 = htons(0x003e);
	pMfHeader->organization = 1;
	pMfHeader->record_mode = 1; 
	pMfHeader->max_rec_len = htonl(maxRecLen);
	pMfHeader->min_rec_len = htonl(minRecLen);
}

